Evil Avatar  



Go Back   Evil Avatar

View Single Post
Old 03-19-2012, 06:48 AM   #9
Azrael
Evil Dead
 
Join Date: Jun 2007
Location: Perth, Australia
Posts: 3,140
Quote:
Originally Posted by NightRain View Post
PS1 games run in all PS3's doesn't need to be one of the older one. PS2 games require an older PS3 20/60gb ideally but some other non-slim models work too.
Wait did this change? because at launch it was just one model that worked with backwards compatibility (think it was hardware)... Have they added software emulation for the rest of them?
Azrael is offline   Reply With Quote
 

All times are GMT -7. The time now is 06:17 AM.